## python-handy-archives 0.1.4

=== tests/requirements.txt ===
coincidence>=0.2.0
coverage>=5.1
coverage-pyver-pragma>=0.2.1
importlib-metadata>=3.6.0
pytest>=6.0.0
pytest-cov>=2.8.1
pytest-randomly>=3.7.0
pytest-timeout>=1.4.2

=== debian/changelog ===
python-handy-archives (0.1.4-2) unstable; urgency=medium

  * Team upload.
  * Source-only reupload.

 -- Bastian Germann <bage@debian.org>  Sun, 08 Jan 2023 12:53:55 +0100

python-handy-archives (0.1.4-1) unstable; urgency=medium

  * Initial release. (Closes: #1027482)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 31 Dec 2022 19:54:55 -0300

=== debian/control ===
Source: python-handy-archives
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-pytest,
               python3-setuptools,
               pybuild-plugin-pyproject,
               flit
Standards-Version: 4.6.1
Homepage: https://github.com/domdfcoding/handy-archives
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-handy-archives
Vcs-Git: https://salsa.debian.org/python-team/packages/python-handy-archives.git

Package: python3-handy-archives
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Some handy archive helpers for Python
 Utilities that help control files:
  - Extract a member from the archive as a file object
  - Returns the content of the given file as bytes
  - Returns the content of the given file as a string
  - Put the bytes from filename into the archive under the name arcname

=== debian/watch ===
version=4
https://github.com/domdfcoding/handy-archives/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## python-handy-archives 0.2.0

=== doc-source/requirements.txt ===
git+https://github.com/sphinx-toolbox/sphinx-toolbox-experimental.git
default-values>=0.5.0
extras-require>=0.2.0
furo>=2020.11.19b18
html-section>=0.1.0
seed-intersphinx-mapping>=0.3.1
sphinx>=3.0.3
sphinx-copybutton>=0.2.12
sphinx-debuginfo>=0.1.0
sphinx-licenseinfo>=0.1.1
sphinx-notfound-page>=0.7.1
sphinx-prompt>=1.1.0
sphinx-pyproject>=0.1.0
sphinx-tabs>=1.1.13
sphinx-toolbox>=3.0.0
sphinxemoji>=0.1.6
toctree-plus>=0.5.0

=== debian/changelog ===
python-handy-archives (0.2.0-6) unstable; urgency=medium

  * Team upload.
  * Fix Zip64 end of central directory locator (Closes: #1123252)
  * Drop "Rules-Requires-Root: no": it is the default now
  * Rewrite d/watch in v5 format
  * Add debian/gbp.conf
  * Add debian/salsa-ci.yml
  * Bump Standards-Version to 4.7.3
  * Drop python3-setuptools build-dep: this build with "flit"

 -- Alexandre Detiste <tchet@debian.org>  Thu, 25 Dec 2025 01:10:30 +0100

python-handy-archives (0.2.0-5) unstable; urgency=medium

  * Team upload.
  * Drop build-dep on python3-importlib-metadata

 -- Alexandre Detiste <tchet@debian.org>  Sun, 04 May 2025 17:58:18 +0200

python-handy-archives (0.2.0-4) unstable; urgency=medium

  * Team upload.
  * Skip check for mode in repr on Python 3.13 (closes: #1092547).
  * Run tests on all supported Python versions.

 -- Colin Watson <cjwatson@debian.org>  Thu, 09 Jan 2025 00:17:05 +0000

python-handy-archives (0.2.0-3) unstable; urgency=medium

  * debian/rules: Skipping functions to fix build error (Closes: #1074709)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 06 Jul 2024 19:40:26 -0300

python-handy-archives (0.2.0-2) unstable; urgency=medium

  * debian/control:
      - Added dependency for running tests
      - Added 'Testsuite: autopkgtest-pkg-pybuild'
  * debian/patches: Skipped function with error
  * debian/rules: enabled test execution

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Mon, 01 Jan 2024 23:22:32 -0300

python-handy-archives (0.2.0-1) unstable; urgency=medium

  * New upstream version 0.2.0
  * debian/control: - Bumped Standards-Version 4.6.2
  * debian/copyright: updated year to 2023

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 05 Aug 2023 06:50:39 -0300

=== debian/control ===
Source: python-handy-archives
Section: python
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 flit,
 pybuild-plugin-pyproject,
 python3-all,
 python3-coincidence,
 python3-coverage,
 python3-domdf-python-tools,
 python3-pytest,
 python3-pytest-cov,
 python3-pytest-datadir,
 python3-pytest-regressions,
 python3-pytest-timeout,
Standards-Version: 4.7.3
Homepage: https://github.com/domdfcoding/handy-archives
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-handy-archives
Vcs-Git: https://salsa.debian.org/python-team/packages/python-handy-archives.git
Testsuite: autopkgtest-pkg-pybuild

Package: python3-handy-archives
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Some handy archive helpers for Python
 Utilities that help control files:
  - Extract a member from the archive as a file object
  - Returns the content of the given file as bytes
  - Returns the content of the given file as a string
  - Put the bytes from filename into the archive under the name arcname

=== debian/watch ===
Version: 5

Template: GitHub
Owner: domdfcoding
Project: handy-archives
